gnutls_pkcs11_obj_init(3)

NAME
gnutls_pkcs11_obj_init - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_obj_init(gnutls_pkcs11_obj_t * obj);

ARGUMENTS

gnutls_pkcs11_obj_t * obj
    A pointer to the type to be initialized

DESCRIPTION
This function will initialize a pkcs11 certificate structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/